<?php
/**************************************************/
/*
 regresa mayor que 0 si la fecha1 es mayor que la 2
 regresa 0 si son iguales
 regresa menor a 0 si fecha1 menor que fecha 2
*/
function fecha_cmp($fecha1,$fecha2){
  //revisar si son iguales
  if($fecha1->dia==$fecha2->dia && $fecha1->mes==$fecha2->mes && $fecha1->anio==$fecha2->anio)
    return 0;
    
  if($fecha1->anio < $fecha2->anio){
    return -1;
  }else if($fecha1->anio > $fecha2->anio){
    return 1;
  }else{//anios iguales
       if($fecha1->mes < $fecha2->mes){
          return -1;
       }else if($fecha1->mes > $fecha2->mes){
          return 1;
       }else{//meses iguales
             if($fecha1->dia < $fecha2->dia){
               return -1;
             }else if($fecha1->dia > $fecha2->dia){
               return 1;          
              } 
       }//else meses iguales
  }//else anios iguales

}//fin fun



function dias_feb($nowYear){
  if(($nowYear % 4) == 0){ 
    $TotalDay = 29; 
    if (($nowYear % 100 == 0)) { 
      if (($nowYear % 400 == 0)) $TotalDay = 29; 
      else $TotalDay = 28; 
    } 
  } 
  else $TotalDay = 28;
  return $TotalDay;
}


//Se le manda el mes en entero
function dias_mes($mes,$anio){
  switch($mes){
    case 1: $dias=31;break;
    case 2: $dias=dias_feb($anio);break;
    case 3: $dias=31;break;
    case 4: $dias=30;break;
    case 5: $dias=31;break;
    case 6: $dias=30;break;
    case 7: $dias=31;break;
    case 8: $dias=31;break;
    case 9: $dias=30;break;
    case 10: $dias=31;break;
    case 11: $dias=30;break;
    case 12: $dias=31;break;
  }
  return $dias;
}

?>
